Splash pages

GET https://mybio.bio/api/splash-pages/
curl --request GET \
--url 'https://mybio.bio/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
parametreler Ayrıntılar Hakkında
search İsteğe bağlı String Arama dizesi.
search_by İsteğe bağlı String Hangi alana göre arıyorsunuz? İzin verilen değerler: name.
order_by İsteğe bağlı String Sonuçların hangi alana göre sıralanacağı. İzin verilen değerler: splash_page_id , datetime , last_datetime , name.
order_type İsteğe bağlı String Sonuçların sıralaması. İzin verilen değerler şunlardır: artan sıralama için ASC ve azalan sıralama için DESC.
page İsteğe bağlı Integer Sonuçları istediğiniz sayfa numarası. Varsayılan olarak 1 şeklindedir.
results_per_page İsteğe bağlı Integer Sayfa başına istediğiniz sonuç sayısı. İzin verilen değerler: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Varsayılanlar 25 şeklindedir.
{
    "data": [
        {
            "id": 1,
            "name": "Development",
            "color": "#0e23cc",
            "last_datetime": null,
            "datetime": "2026-04-19 11:47:21",
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://mybio.bio/api/projects?page=1",
        "last": "https://mybio.bio/api/projects?page=1",
        "next": null,
        "prev": null,
        "self": "https://mybio.bio/api/projects?page=1"
    }
}
GET https://mybio.bio/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://mybio.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "name": "Development",
        "color": "#0e23cc",
        "last_datetime": null,
        "datetime": "2026-04-19 11:47:21",
    }
}
POST https://mybio.bio/api/projects
parametreler Ayrıntılar Hakkında
name Gerekli String -
title İsteğe bağlı String -
logo İsteğe bağlı Dosya -
favicon İsteğe bağlı Dosya -
opengraph İsteğe bağlı Dosya -
description İsteğe bağlı String -
secondary_button_name İsteğe bağlı String -
secondary_button_url İsteğe bağlı String -
custom_css İsteğe bağlı String -
custom_js İsteğe bağlı String -
ads_header İsteğe bağlı String -
ads_footer İsteğe bağlı String -
link_unlock_seconds İsteğe bağlı Integer -
auto_redirect İsteğe bağlı Boolean -
curl --request POST \
--url 'https://mybio.bio/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
POST https://mybio.bio/api/splash-pages/{splash_page_id}
parametreler Ayrıntılar Hakkında
name İsteğe bağlı String -
title İsteğe bağlı String -
logo İsteğe bağlı Dosya -
favicon İsteğe bağlı Dosya -
opengraph İsteğe bağlı Dosya -
description İsteğe bağlı String -
secondary_button_name İsteğe bağlı String -
secondary_button_url İsteğe bağlı String -
custom_css İsteğe bağlı String -
custom_js İsteğe bağlı String -
ads_header İsteğe bağlı String -
ads_footer İsteğe bağlı String -
link_unlock_seconds İsteğe bağlı Integer -
auto_redirect İsteğe bağlı Boolean -
curl --request POST \
--url 'https://mybio.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
    "data": {
        "id": 1
    }
}
DELETE https://mybio.bio/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://mybio.bio/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \